Set default schedule
Mark one schedule template as the barber’s default for weeks without a week-specific assignment. Only the owning barber or a system administrator can change the default; availability and booking hours resolve from this template unless overridden.
curl --request POST \
--url https://api.guile.app/barbers/{id}/schedules/default \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>"
}
'import requests
url = "https://api.guile.app/barbers/{id}/schedules/default"
payload = { "id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '<string>'})
};
fetch('https://api.guile.app/barbers/{id}/schedules/default', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"schedule": {
"monday": {
"workingHours": [
{
"startsAt": "<string>",
"duration": "<string>"
}
],
"breaks": [
{
"startsAt": "<string>",
"duration": "<string>",
"description": "<string>"
}
]
},
"tuesday": {
"workingHours": [
{
"startsAt": "<string>",
"duration": "<string>"
}
],
"breaks": [
{
"startsAt": "<string>",
"duration": "<string>",
"description": "<string>"
}
]
},
"wednesday": {
"workingHours": [
{
"startsAt": "<string>",
"duration": "<string>"
}
],
"breaks": [
{
"startsAt": "<string>",
"duration": "<string>",
"description": "<string>"
}
]
},
"thursday": {
"workingHours": [
{
"startsAt": "<string>",
"duration": "<string>"
}
],
"breaks": [
{
"startsAt": "<string>",
"duration": "<string>",
"description": "<string>"
}
]
},
"friday": {
"workingHours": [
{
"startsAt": "<string>",
"duration": "<string>"
}
],
"breaks": [
{
"startsAt": "<string>",
"duration": "<string>",
"description": "<string>"
}
]
},
"saturday": {
"workingHours": [
{
"startsAt": "<string>",
"duration": "<string>"
}
],
"breaks": [
{
"startsAt": "<string>",
"duration": "<string>",
"description": "<string>"
}
]
},
"sunday": {
"workingHours": [
{
"startsAt": "<string>",
"duration": "<string>"
}
],
"breaks": [
{
"startsAt": "<string>",
"duration": "<string>",
"description": "<string>"
}
]
}
},
"isDefault": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}Path Parameters
The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.
Body
Request to set default schedule.
Identifier of the schedule to set as default.
Response
Ok. The operation succeeded.
A barber schedule resource.
Unique identifier for the schedule.
The name for this schedule.
100The daily schedule configuration.
Show child attributes
Show child attributes
Indicates if this is the default schedule.
Was this page helpful?
